Summary: A Motif-1.2 toolkit clone.
Name: lesstif
Version: 0.86.5
Release: 2
Copyright: GPL
Group: Development/Libraries
URL: http://www.lesstif.org/products/lesstif/
Source0: ftp://ftp.lesstif.org/pub/hungry/lesstif/srcdist/lesstif-0.86.5.tar.gz
Patch0: lesstif-0.86-static.patch
Patch1: lesstif-0.83-ddd.patch
BuildRoot: /var/tmp/lesstif-root

%description
LessTif is a free replacement for OSF/Motif(R), which provides
a full set of widgets for application development (menus, text entry areas,
scrolling windows, etc.). Currently, LessTif is partially implemented with
most of the API in place. However, some of the internal functionality is
still missing.  The widget code has been the primary focus of development.
If you're installing lesstif, you'll also need to install lesstif-clients.

%package mwm
Summary: A LessTif/Motif window manager clone based on fvwm.
Group: X11/Window Managers
Requires: lesstif = %{PACKAGE_VERSION}
%description mwm
LessTif-mwm is a window manager derived from fvwm. LessTif-mwm
includes a new parser that understands mwmrc syntax and mwm resources. If
you're installing lesstif-mwm, you'll need to also install lesstif and
lesstif-clients.

%package clients
Summary: UIL and xmbind, two separate LessTif add-ons.
Group: X11/Applications
Requires: lesstif = %{PACKAGE_VERSION}
%description clients
The lesstif-clients package includes UIL and xmbind.  UIL is a
textual, static description of the user interface which is compiled into
binary form.  Xmbind configures the virtual key bindings of LessTif
applications.  If you are installing lesstif, you'll need to install
lesstif-clients.

%package devel
Summary: The static library and header files for LessTif/Motif-1.2 development.
Group: Development/Libraries
Requires: XFree86-devel, lesstif = %{PACKAGE_VERSION}
%description devel
Lesstif-devel contains the lesstif static library and header
files required to develop Motif-1.2-based applications using LessTif. If
you want to develop LessTif applications, you'll need to install
lesstif-devel along with lesstif and lesstif-clients.

%prep
%setup -q
%patch0 -p1 -b .static
#%patch1 -p1 -b .ddd

%build
# the following is a hack against Makefile.in braindamage in the include
# directory
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=\$\(ROOT_DIR\)/usr/X11R6 \
	--enable-shared --enable-static --enable-production
make prefix=/usr/X11R6

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr/X11R6 \
	ROOT_DIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11
mv -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/mwm $RPM_BUILD_ROOT/etc/X11
ln -s ../../../../etc/X11/mwm $RPM_BUILD_ROOT/usr/X11R6/lib/X11/mwm

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc BUG-REPORTING COPYING COPYING.LIB CREDITS CURRENT_NOTES INSTALL
%doc KNOWN_BUGS NOTES RELEASE-POLICY TODO
%doc etc/example.motifbind
%doc etc/motifbind.sun+linux
%doc doc
/usr/X11R6/lib/lib*.so.*
%docdir /usr/X11R6/LessTif

%files mwm
%defattr(-,root,root)
/usr/X11R6/lib/X11/mwm
/usr/X11R6/bin/mwm
%dir /etc/X11/mwm
%config /etc/X11/mwm/system.mwmrc
%config /etc/X11/mwm/alt.map
/etc/X11/mwm/README
%doc clients/Motif-1.2/mwm/COPYING
%doc clients/Motif-1.2/mwm/README
%doc doc/MWM.txt

%files clients
%defattr(-,root,root)
/usr/X11R6/bin/uil
/usr/X11R6/bin/xmbind
%doc doc/UIL.txt

%files devel
%defattr(-,root,root)
/usr/X11R6/bin/mxmkmf
/usr/X11R6/lib/lib*.a
/usr/X11R6/lib/lib*.la
/usr/X11R6/lib/lib*.so
/usr/X11R6/include/Mrm
/usr/X11R6/include/Xm

%changelog
* Sat Oct 24 1998 Jeff Johnson <jbj@redhat.com>
- nes description/summary text.

* Wed Oct 13 1998 Michael Maher <mike@redhat.com>
- updated package to 86.5 

* Sat May 23 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 0.84
- disabled the ddd patch, as most of the things in there seem to be already
  fixed

* Tue May 19 1998 Cristian Gafton <gafton@redhat.com>
- updated to 0.83
- buildroot
- added patches from the ddd distribution

* Wed Jan 28 1998 Otto Hammersmith <otto@redhat.com>
- updated to 0.82

* Mon Nov 24 1997 Otto Hammersmith <otto@redhat.com>
- removed Imake config files 
- added requirs XFree86-devel for lesstif-devel

* Thu Nov 13 1997 Otto Hammersmith <otto@redhat.com>
- updated to 0.81

* Wed Apr 30 1997 Michael Fulbright <msf@redhat.com>
- Updated to v 0.79

* Fri Apr 25 1997 Michael Fulbright <msf@redhat.com>
- Updated to v 0.78
